Page MenuHomePhabricator

Simple English Wikipedia logo missing high-res variant
Closed, ResolvedPublic

Description

The current logo of Simple English Wikipedia appears to be variant of the Wikipedia v2 logo design that is lacking a high-res or SVG variant.

Regardless of it being derived from the Wikipedia v2 Logo design (new font, new globe), the actual Wikipedia 2.0 logo page has a different design for Simple English:

https://commons.wikimedia.org/wiki/Wikipedia/2.0

However, this isn't actually in use. The custom layout (caption being cursive, larger, and above the wordmark) was done manually so that Simple English would look consistent with English Wikipedia, but we're lacking an SVG version.

  • Re-create simplewiki logo in SVG
  • Update "File:Wikipedia-logo-v2-simple.svg" and "File:Wikipedia-logo-v2-simple.png" with these designs.
  • Update Simple Wikipedia site configuration to actually use this, and add the 1.5x and 2x thumbnails from the SVG for high-res.

See also:

Event Timeline

Krinkle created this task.Nov 27 2017, 10:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 27 2017, 10:43 PM
Urbanecm claimed this task.Nov 28 2017, 7:34 PM
Urbanecm added a subscriber: Urbanecm.

Uncontroversial will be to create SVG from current PNG (will do later) and after community discussion we may change the logo to any desired version.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptNov 28 2017, 7:34 PM
Urbanecm removed Urbanecm as the assignee of this task.Dec 3 2017, 4:59 PM
Urbanecm added a subscriber: tomasz.

Sadly, I was unable to create the SVG... The closed that I get to is https://commons.wikimedia.org/wiki/File:Wikipedia-logo-simple_(2).svg . @tomasz, I think that you helped with several requests like this, can you help again please?

tomasz added a comment.EditedDec 3 2017, 7:49 PM

I would be happy to help, however it appears there is a slight issue with the font used for Simple English.

The early Wikipedia logos were all created using proprietary software and proprietary fonts; as far as I can see, that text was created with a version of Garamond, likely Adobe Garamond Pro Italic or Semibold Italic or possibly a version of Garamond Premier; personally I think it was the former as most of those logos were created in Adobe Photoshop.

Now, as you can see, both Adobe Garamond and Garamond Pro are proprietary and cost US$29.99 each. I don't volunteer to pay for the font, but more importantly, we have in the past agreed to only use freely-licenced fonts for our logos, for multiple reasons. This means that we will never be able to exactly reproduce the original logo, as free alternatives to closed-source Garamond fonts are necessarily different.

The closest alternative I could find is EB Garamond, which can be downloaded from BitBucket. I hope we can agree on this alternative--there isn't much choice, really--and in case we do, I created a quick PNG version using that font.

Apart from the two fonts being different, there are some other differences between this new version and the old one: for instance, in the old logo, both 'Simple English' and 'Wikipedia' were not aligned correctly on the vertical axis, which is easy to spot if you compare them side-by-side; the new version fixes this.

Current versionNew version

Opinions and criticisms welcome :-)

tomasz triaged this task as Low priority.Dec 3 2017, 7:57 PM

Thanks a lot @tomasz! From my point of view, we can just use your work and change even the low-res logo without asking. There's almost no difference. By the way, can you upload SVG to Commons? MediaWiki now support direct using of SVG (see T178942 and linked bugs/commits) and I prefer using SVG. IMHO all major browsers will have no problem with using SVG so this should be okay.

tomasz added a comment.Dec 4 2017, 3:39 PM

I uploaded the new version as File:Wikipedia-logo-v2-simple.svg and the PNG version as File:Wikipedia-logo-v2-simple.png.

I'm not exactly sure how you want to go about using the SVG directly (personally I suggest keeping local copies in Gerrit rather than serving files from Commons), but the low quality PNG version can be submitted to Gerrit straight away if need be.

@Urbanecm Any suggestions as to how we can proceed to close this Task?

Do you want me to submit a patch in Gerrit to overwrite the current logo (and provide high-density versions) until there is a bigger switch to using SVG directly?

tomasz claimed this task.Mar 13 2018, 10:52 AM
tomasz updated the task description. (Show Details)

Change 419144 had a related patch set uploaded (by Odder; owner: Odder):
[operations/mediawiki-config@master] Add high-density logos for the Simple English Wikipedia

https://gerrit.wikimedia.org/r/419144

Change 419144 merged by jenkins-bot:
[operations/mediawiki-config@master] Add high-density logos for the Simple English Wikipedia

https://gerrit.wikimedia.org/r/419144

tomasz closed this task as Resolved.Mar 13 2018, 11:28 PM

This has now been merged & deployed on the production cluster by Reedy (thanks!).